From: [email-masked]
Date: Wed, 7 Sep 1994 11:02:38 -0500

To: [email-masked] (Paul M. Aoki)
Subject: Re: Installing pgperl 
In-reply-to: Your message of "Thu, 01 Sep 1994 23:47:17 PDT."
             <[email-masked]> 
--------
> Eric P Dean <[email-masked]> writes
>> I ran the testlibpq.pl program and got a segmentation fault where it
>> starts working with portals.  The output from testlibpq.pl and a section
>> of code from testlibpq.pl follows.
>> It looks like it blew-up on "@names = &PQpnames (0);" in the subroutine
>> test_rest of testlibpq.pl

Paul M. Aoki <[email-masked]> writes
> make sure that the version of pg-libpq.c that you are running is a
> product of the new .mus file (since that's where the interface to 
> PQpnames is fixed) and that the pgperl is produced using the .o file
> produced from that .c file.  the interface to PQpnames is what 
> changed in 4.2 and is what broke in pgperl (ultrix header issues 
> aside).

I made sure that pg-libpq.c, pg-libpq.mus, and pg.libpq.o files were all
v 1.7 and still got the segmentation fault.  However, I did notice that
the testlibpq.pl is v, 1.5 in the most recent version of Postgres.  Is
this the porblem?

[email-masked]> egrep ,v pg-libpq.mus
 * /usr/local/devel/postgres-v4r2/src/contrib/pgperl/RCS/pg-libpq.mus,v 1.7 1994/06/16 11:37:21 aoki Exp
[email-masked]> egrep ,v pg-libpq.c
 * /usr/local/devel/postgres-v4r2/src/contrib/pgperl/RCS/pg-libpq.mus,v 1.7 1994/06/16 11:37:21 aoki Exp
[email-masked]> egrep ,v pg-libpq.c
 * /usr/local/devel/postgres-v4r2/src/contrib/pgperl/RCS/pg-libpq.mus,v 1.7 1994/06/16 11:37:21 aoki Exp
[email-masked]> egrep ,v testlibpq.pl
# /usr/local/devel/postgres-v4r2/src/contrib/pgperl/RCS/testlibpq.pl,v 1.5 1993/06/14 19:47:35 aoki Exp

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================